<?= $this->render('cam-tokens/_total-amount-js.phtml') ?>
<form action="<?= $this->baseUrl() ?>/billing/cam-tokens/edit?id=<?= $this->data->id ?>" method="post" class="form-common total-amount-form">
<style type="text/css">
        #issue-table { width: 670px; }
        #issue-table td { padding:7px; background-color: #F3F3F3 }
        #issue-table th { padding: 7px;text-align: center;vertical-align: top;background-color: #d0d0d0;}

        .row-details .col-md-6 { display: flex;width: 50%;float: left;}
        .row-details .col-md-6 h4 {display: inline-block;font-size: 14px;}
    </style>
    <fieldset>
        <fieldset>
            <legend>Escort ids</legend>
            <div class="row-details">
                <div class="row">
                    <div class="col-md-12">
                        <label for="">Escort Id: <h4><?=$this->data->escort_id?></h4></label>
                        <input class="txt w20" type="text" id="escort_ids" name="escort_ids" value="<?= $this->ids ?>" />
                    </div>
                </div>
            </div>
        </fieldset>
        <br>
        <fieldset>
            <legend>Date</legend>
            <div class="row-details">
                <div class="row">
                    <div class="col-md-12">
                        <div class="inner">
                            <label>From</label>
                            <input id="f-date-from" type="text" class="txt w8 f-date-from" name="date_from" value="" />
                        </div>

                        <div class="inner" style="padding-top: 25px">
                            <span> - </span>
                        </div>

                        <div class="inner">
                            <label>To</label>
                            <input id="f-date-to" type="text" class="txt w8 f-date-to" name="date_to" value="" />
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>



            <br>

        <fieldset class="w50 fleft">
            <legend>Amount</legend>
            <div class="fleft w100 mr5 mb10">
                <div class="inner">
                    <label for="ethnicity" class="total_amount_calculate">Total Amount: <b></b></label>
                </div>

            </div>

        </fieldset>
    </fieldset>
</form>
<script>
    Cubix.ready = function () {
        var initDateFilter = function (filter_form) {
            date_from_picker = $(filter_form).getElement('.f-date-from');
            var date_from = new Picker.Date(date_from_picker, {
                pickerClass: 'datepicker',
                positionOffset: {x: -10, y: 0}, allowEmpty: true, format: 'd M Y'
            });
            date_to_picker = $(filter_form).getElement('.f-date-to');
            var date_to = new Picker.Date(date_to_picker, {
                pickerClass: 'datepicker',
                positionOffset: {x: -10, y: 0}, allowEmpty: true, format: 'd M Y'
            });

            $(filter_form).getElement('.f-dates-defined').addEvent('change', function () {
                switch (this.get('value')) {
                    case '':
                        /*date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date()), true);

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date()), true);*/
                        $("f-date-from").set('value', '');
                        $("f-date-to").set('value', '');
                        $$("input[name=date_from]").set('value', '');
                        $$("input[name=date_to]").set('value', '');
                        break;
                    case 'today':
                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date()));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date()));
                        break;
                    case 'yesterday':
                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date()));
                        break;
                    case 'last_7_days':
                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date()));
                        break;
                    case 'this_month':
                        var last_day = new Date().get('lastdayofmonth');

                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(new Date().set('date', 1)));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
                        break;
                    case 'last_month':
                        var last_month = new Date().decrement('month', 1);

                        var last_day = last_month.get('lastdayofmonth');

                        date_from.onFocus(date_from.item, date_from.clone, true);
                        date_from.select(date_from.dateToObject(last_month.set('date', 1)));

                        date_to.onFocus(date_to.item, date_to.clone, true);
                        date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
                        break;
                }
            });
        };

        initDateFilter('search-form');

    }
</script>
